Updates the order of a given action of a project automation.

POSThttps://api.awork.com/api/v1/projects/{projectId}/automations/{automationId}/actions/{actionId}/updateorder
POST https://api.awork.com/api/v1/projects/{projectId}/automations/{automationId}/actions/{actionId}/updateorder

Updates the order of a given action in the list of actions of the specific project automation. Actions of automations created from a workflow cannot be modified.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

projectIdstringRequired
format: uuid

The id of the project of the automation.

automationIdstringRequired
format: uuid

The id of the automation.

actionIdstringRequired
format: uuid

The id of the action.

Request body Required

The model to update the order.

application/json

ordernumber or nullOptional
format: double

The order of the list.

Responses

204 No Content
400 Bad Request

application/json

codestringRequired
minLength: 1

The error code.

descriptionstringRequired
minLength: 1

The description of the error.

linkstringRequired
minLength: 1

The link to the API documentation page.

detailsarray of string or nullOptional

A list of details describing the error.

validationErrorsarray of object or nullOptional

If a validation error occurred, this contains the validation errors for each property.

Show 2 properties
propertystring or nullOptional

The name of the property that failed validation.

messagestring or nullOptional

The reason why this property failed validation.

traceIdstring or nullOptional

The request trace id for tracking the request.

Search documentation